Create a webhook endpoint - Gable Docs

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.


Create a webhook endpoint

POST
/v0/webhooks

Example Request (cURL)

curl --request POST \
  --url https://demo-api.gable.ai/v0/webhooks \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "url": "<string>",
  "name": "<string>",
  "headers": {}
}'

Example Request (Python)

import requests

url = "https://demo-api.gable.ai/v0/webhooks"

payload = {
    "url": "<string>",
    "name": "<string>",
    "headers": {}
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

Example Request (JavaScript)

const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({url: '<string>', name: '<string>', headers: {}})
};

fetch('https://demo-api.gable.ai/v0/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Example Request (PHP)

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/webhooks",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'url' => '<string>',
    'name' => '<string>',
    'headers' => []
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Example Request (Go)

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://demo-api.gable.ai/v0/webhooks"

payload := strings.NewReader("{\n  \"url\": \"<string>\",\n  \"name\": \"<string>\",\n  \"headers\": {}\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-KEY", "<api-key>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}

Example Request (Java)

HttpResponse<String> response = Unirest.post("https://demo-api.gable.ai/v0/webhooks")
  .header("X-API-KEY", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"url\": \"<string>\",\n  \"name\": \"<string>\",\n  \"headers\": {}\n}")
  .asString();

Example Request (Ruby)

require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"url\": \"<string>\",\n  \"name\": \"<string>\",\n  \"headers\": {}\n}"

response = http.request(request)
puts response.read_body

Response

Status Codes

Successful Response Body

{
  "id": "<string>",
  "url": "<string>",
  "name": "<string>",
  "headers": {}
}

Error Response Body

{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}

Authorizations

X-API-KEY
Type: string
Location: header
Required: true

Body Parameters